%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-compressible
Version:    2.0.9
Release:    2%{?dist}
Summary:    Compressible Content-Type/MIME checking for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/compressible
Source0:    http://registry.npmjs.org/compressible/-/compressible-%{version}.tgz
Source1:    tests-%{version}.tar.bz2

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(mime-db)
# not packaged
#BuildRequires:  npm(eslint)
#BuildRequires:  npm(eslint-config-standard)
#BuildRequires:  npm(eslint-plugin-promise)
#BuildRequires:  npm(eslint-plugin-standard)
%endif

%description
%{summary}.


%prep
%setup -q -n package
#cp -p %{SOURCE1} .
%setup -q -T -D -a 1 -n package

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/compressible
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/compressible

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --reporter spec --bail --check-leaks test/
/usr/bin/istanbul-js cover /usr/bin/mocha -- --reporter dot --check-leaks
/usr/bin/istanbul-js cover /usr/bin/mocha --report lcovonly -- --reporter dot --check-leaks
%endif


%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/compressible


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 13 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 2.0.9-1
- Update

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-1
- update to upstream release 1.0.1

* Wed Mar 12 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-2
- move specifications.json to {_datadir}

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
